Subject: Re: [PATCH v2 net-next] net: phy: switch drivers to use dynamic feature detection

From: Andrew Lunn <[email-masked]>
Date: Sat, 13 Apr 2019 00:47:37 +0200

On Fri, Apr 12, 2019 at 08:47:03PM +0200, Heiner Kallweit wrote:
> Recently genphy_read_abilities() has been added that dynamically detects
> clause 22 PHY abilities. I *think* this detection should work with all
> supported PHY's, at least for the ones with basic features sets, i.e.
> PHY_BASIC_FEATURES and PHY_GBIT_FEATURES. So let's remove setting these
> features explicitly and rely on phylib feature detection.
> 
> I don't have access to most of these PHY's, therefore I'd appreciate
> regression testing.

Hi Heiner

I tested v1 on the following PHYs:

88E1510, 88E1540, 88E6390, KSZ8041, 88E1545

No obvious regressions.

Tested-by: Andrew Lunn <[email-masked]>

    Andrew